# $Revision: 1.11 $, $Date: 2010/06/06 08:41:43 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Sendmail
%define	pnam	Milter
Summary:	Sendmail::Milter - Interface to sendmail's Mail Filter API
Summary(pl.UTF-8):	Sendmail::Milter - interfejs do API Mail Filter sendmaila
Name:		perl-Sendmail-Milter
Version:	0.18
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e7ec468d51f699601e0fb1c0bd544c9d
Patch0:		%{name}-build.patch
URL:		http://sendmail-milter.sourceforge.net/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sendmail-devel >= 8.13.6-3.1
Requires:	perl-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sendmail::Milter is a Perl extension to sendmail's Mail Filter API
(Milter).

%description -l pl.UTF-8
Sendmail::Milter to rozszerzenie Perla będące interfejsem do API Mail
Filter (Milter) sendmaila.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT{%{perl_vendorarch}/Sendmail/sample.pl,%{_examplesdir}/%{name}-%{version}}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%dir %{perl_vendorarch}/Sendmail
%{perl_vendorarch}/Sendmail/*.pm
%dir %{perl_vendorarch}/auto/Sendmail
%dir %{perl_vendorarch}/auto/Sendmail/Milter
%{perl_vendorarch}/auto/Sendmail/Milter/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Sendmail/Milter/*.so
%{perl_vendorarch}/auto/Sendmail/Milter/autosplit.ix
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Sendmail-Milter.spec,v $
Revision 1.11  2010/06/06 08:41:43  arekm
- release 5

Revision 1.10  2008/02/10 12:18:48  arekm
- rel 4

Revision 1.9  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.8  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.6  2006/08/23 06:09:45  ankry
- standarize src URL

Revision 1.5  2006/08/23 04:52:36  glen
- missing dir; rel 3

Revision 1.4  2006/08/23 04:50:53  glen
- missing dir; rel 2

Revision 1.3  2006/05/26 11:53:01  qboosh
- pl

Revision 1.2  2006/05/24 08:41:22  glen
- finished; rel 1

Revision 1.1  2006/05/24 08:08:57  glen
- new, NFY (build needs hacking)
- needed for amavis-ng-0.1.6.9-2: req perl(Sendmail::Milter) not found
